Skip to main content
PUT

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
role_id
string
required

Role identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json
name
string
required

User role name.

Required string length: 1 - 120
permissions
object[]
required

Complete permission entries defining the final state of the role.

Minimum array length: 1

Response

Role updated successfully.

id
string
required

Role identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
name
string
required

Role name.

organization_id
string
required

Organization identifier associated with this role.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
created_at
string<date-time>
required

Role creation timestamp in ISO 8601 format.

created_by
string | null
required

Identifier of the user who created the role.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
permissions
object[] | null

Permission entries configured for this role.